import type { Hook } from '../Hooks';
declare type TOnReCompile = (enable: boolean) => void | Promise<void>;
declare global {
    module NodeJS {
        interface ViteReactAutoConfigServer extends PluginApi {
            describe: (args: {
                id?: string;
                enable?: () => boolean;
                onReCompile?: (enableBy: boolean) => any;
            }) => any;
        }
    }
}
export declare class PluginApi {
    private server;
    private id;
    enable?: () => boolean;
    onReCompile?: () => any;
    constructor(id: string, server: NodeJS.ViteReactAutoConfigServer);
    describe({ id, enable, onReCompile, }?: {
        id?: string;
        key?: string;
        enable?: () => boolean;
        onReCompile?: TOnReCompile;
    }): void;
    register(id: string, plugin: PluginApi): this;
    addHook(hook: Omit<Hook, 'pluginId'>): void;
    skip(): void;
    removeSkip(): void;
    skipOrRemoveSkip(enable: boolean): void;
    registerMethod({ name, fn, exitsError, }: {
        name: string;
        fn?: Function;
        exitsError?: boolean;
    }): void;
}
export {};
