import { ResolvePath } from './ResolvePath';
import { PrettierFiles } from './capability/Prettier';
import { GenerateFile } from './capability/Generate';
import { ServerPlugin } from './capability/plugin';
import { Hooks } from './capability/Hooks';
import { ApplyPluginsType } from './constants';
import { Logger } from './capability/Logger';
import type { ServerConfig, ServicePaths } from '../typings';
declare global {
    module NodeJS {
        interface ViteReactAutoConfigServer extends Service {
            prettier: PrettierFiles;
            generateFile: GenerateFile;
        }
    }
}
export declare class Service extends ResolvePath {
    userConfig: import("../typings").Config;
    paths: Readonly<ServicePaths>;
    env: string | undefined;
    prettier: Readonly<PrettierFiles>;
    generateFile: GenerateFile;
    configPathAliasName: string;
    methods: Map<string, Function>;
    plugin: ServerPlugin;
    hooks: Hooks;
    logger: Logger;
    get self(): NodeJS.ViteReactAutoConfigServer;
    setUserConfig(config?: ServerConfig['userConfig']): this;
    setEnv(env: string): this;
    constructor(opts: Partial<Omit<ServerConfig, 'paths'>> & {
        paths?: Partial<ServerConfig['paths']>;
    });
    resolveConfigAliasNamePath(...p: string[]): string;
    private forEachHooks;
    applyPlugins<T = any>(opts: {
        key: string;
        type?: ApplyPluginsType;
        initialValue?: T;
        defaultValue?: T[];
        args?: any;
        skipCheckPluginEnableStatus?: boolean;
    }): Promise<T[]>;
    handleReCompile(): void;
    run(isReCompile?: boolean): Promise<void>;
}
