"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sleep = exports.removeFileExt = exports.getFileNameFromFilePath = exports.spliceExportAll = exports.spliceExportFrom = exports.spliceImport = exports.spliceImportOrImportFrom = exports.spliceImportFrom = void 0;

const spliceImportFrom = (specifier, source) => `import ${specifier} from '${source}';`;

exports.spliceImportFrom = spliceImportFrom;

const spliceImportOrImportFrom = obj => obj.specifier ? exports.spliceImportFrom(obj.specifier, obj.source) : `import '${obj.source}';`;

exports.spliceImportOrImportFrom = spliceImportOrImportFrom;

const spliceImport = source => `import '${source}';`;

exports.spliceImport = spliceImport;

const spliceExportFrom = (specifier, source) => `export ${specifier} from '${source}';`;

exports.spliceExportFrom = spliceExportFrom;

const spliceExportAll = source => exports.spliceExportFrom('*', source);

exports.spliceExportAll = spliceExportAll;

const getFileNameFromFilePath = f => {
  const arr = f.replace(/\//g, '/').split('/');
  const [name] = arr[arr.length - 1].split('.');
  return name;
};

exports.getFileNameFromFilePath = getFileNameFromFilePath;

const removeFileExt = p => p.replace(/\.\w+$/, '');

exports.removeFileExt = removeFileExt;

const sleep = ms => new Promise(r => setTimeout(r, ms));

exports.sleep = sleep;