"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reactAutoConfig = void 0;

const tslib_1 = require("tslib");

const plugin_react_refresh_1 = tslib_1.__importDefault(require("@vitejs/plugin-react-refresh"));

const vite_plugin_style_import_1 = tslib_1.__importDefault(require("vite-plugin-style-import"));

const reactAutoConfig_1 = require("./reactAutoConfig");

const Bootstrap_1 = require("./Bootstrap");

const bootstrap = new Bootstrap_1.Bootstrap();

const reactAutoConfig = (options = {}) => {
  const {
    userConfig
  } = bootstrap.getServer();
  const plugins = [reactAutoConfig_1.reactAutoConfigPluginConfig(bootstrap)];

  if (userConfig.fastRefresh !== false) {
    plugins.push(plugin_react_refresh_1.default(options.reactRefresh));
  }

  if (userConfig.antd) {
    const {
      styleImport
    } = options;
    plugins.push(vite_plugin_style_import_1.default({ ...(styleImport || {}),
      libs: [{
        libraryName: 'antd',
        esModule: true,
        resolveStyle: name => {
          return `antd/es/${name}/style/index`;
        }
      }, ...((styleImport === null || styleImport === void 0 ? void 0 : styleImport.libs) || [])]
    }));
  }

  return plugins;
};

exports.reactAutoConfig = reactAutoConfig;